{"openapi":"3.0.1","info":{"title":"Gremlin API","description":"The API for interacting with the Gremlin Failure-as-a-Service platform","termsOfService":"https://www.gremlin.com/terms_of_service_2017_03_24","contact":{"name":"Gremlin Support","email":"support@gremlin.com"},"license":{"name":"Gremlin License","url":"https://www.gremlin.com/license_2017_03_24"},"version":"1.0"},"servers":[{"url":"/v1"}],"tags":[{"name":"attacks","description":"Create, halt, and list attacks"},{"name":"halts","description":"Halt impacts across the Gremlin platform"},{"name":"kubernetes.attacks","description":"Create, halt, and list Kubernetes attacks"},{"name":"metadata","description":"Get metadata about the Gremlin commands."},{"name":"users.auth.mfa","description":"Endpoints for multi-factor user auth (MFA) and for managing MFA providers and secrets"},{"name":"Notification Integrations","description":"Manage company level integrations with Slack/Datadog"},{"name":"oauth","description":"OAuth callback endpoints"},{"name":"roles","description":"List and modify roles"},{"name":"users.auth","description":"Endpoints for non-MFA user auth"},{"name":"aws.metadata","description":"Get metadata about the AWS IAM role creation for health checks"},{"name":"datadog","description":"Read Datadog items"},{"name":"grafana","description":"Get Grafana alerts"},{"name":"jira","description":"Create, read Jira tickets"},{"name":"newrelic","description":"Read New Relic items"},{"name":"pagerduty","description":"Get Pagerduty services and incidents"},{"name":"external-integrations","description":"Used for managing authentication for Status Checks and Load Generators"},{"name":"failure-flags.apps","description":"Get, list, and protect applications"},{"name":"failure-flags.experiments","description":"Get, list, and protect experiments"},{"name":"failure-flags.flags","description":"Get, list, and protect failure flags"},{"name":"gamedays","description":"Create, update and run GameDays"},{"name":"images","description":"Manage images for different entities"},{"name":"google-cloud.integration","description":"Fetch setup instructions for configuring a Google Cloud integration."},{"name":"google-cloud.integration.resources","description":"List resources Gremlin has discovered through a configured integration. Note: Paging is currently not supported for Private Edition."},{"name":"agents","description":"List and modify all infrastructure and failure flag agents"},{"name":"clients","description":"List and modify all clients"},{"name":"integration-clients","description":"Handle client Private Network Integration (PNI)"},{"name":"integration-invocations","description":"Used for interacting with the Private Network Integration"},{"name":"apikeys","description":"Create, delete, activate, deactivate and list apikeys"},{"name":"companies","description":"Update company preferences, get all users or clients for a company, and get company details"},{"name":"orgs","description":"Get and update org preferences. Generate new and delete old client certificates"},{"name":"reports","description":"Get users, clients, and attacks summaries"},{"name":"reports.security","description":"Endpoints for receiving access and event logs"},{"name":"notification-settings","description":"View and modify a team's notification settings"},{"name":"teams","description":"Create, Retrieve, Update, and Delete endpoints for Teams"},{"name":"users","description":"Get users (all or active) and activate, deactivate, update, and invite users."},{"name":"disaster-recovery-test-reports","description":"Get and list disaster recovery test reports"},{"name":"disaster-recovery-tests","description":"Create, get, list, run, and complete disaster recovery tests"},{"name":"metrics","description":"Metrics for charting purposes"},{"name":"reliability-report","description":"Retrieve reliability report for a given service"},{"name":"reliability-management","description":"API to access resources for reliability management"},{"name":"test-suites","description":"Create custom test suites"},{"name":"reliability-tests","description":"Get and run reliability tests"},{"name":"scenarios.recommended","description":"Get/List recommended scenarios"},{"name":"scenarios","description":"Create, update, run, halt, and list scenarios"},{"name":"health checks","description":"Create, read, update, delete health checks as well as test health check endpoint and evaluation configuration"},{"name":"schedules","description":"Get, create, and delete schedules"},{"name":"containers","description":"Get all active containers"},{"name":"services","description":"Get metrics about intelligent health check target for a service"},{"name":"kubernetes.targets","description":"Get information on attackable kubernetes targets"},{"name":"providers","description":"Get a list of supported infrastructure providers and supported services by provider"},{"name":"service-overview","description":"Overview of a service, including all activity that impacts a service"},{"name":"sharedAssets","description":"Used for sharing agent assets (eg. K8s Namespaces) between teams"},{"name":"tpm","description":"Configure the Technical Program Manager for the caller's team"},{"name":"load-generators","description":"Create, read, update, and delete LoadGenerators"},{"name":"webhooks","description":"Create, read, update, and delete webhooks"}],"paths":{"/attacks/active":{"get":{"tags":["attacks"],"summary":"List all active attacks.","description":"This endpoint will return all active attacks for the team.\nRequires the privilege [`EXPERIMENTS_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"active","parameters":[{"name":"source","in":"query","description":"Filter attacks to either adhoc or scenario.","schema":{"type":"string","enum":["Adhoc","Scenario"]},"example":"Adhoc"},{"name":"pageSize","in":"query","description":"This value determines how many results will be returned per call.","schema":{"type":"integer","format":"int32"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TaskResponse"}}}}},"403":{"description":"User requires privilege for target team: EXPERIMENTS_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_READ"]}]}},"/attacks/active/paged":{"get":{"tags":["attacks"],"summary":"Return a page of active ad-hoc experiments.","description":"This endpoint will return a paged response of active ad-hoc experiments for a team.\nRequires the privilege [`EXPERIMENTS_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"activePaged","parameters":[{"name":"pageSize","in":"query","description":"This value determines how many results will be returned per call.","schema":{"type":"integer","format":"int32","default":1000},"example":"None (defaults to 1000)"},{"name":"pageToken","in":"query","description":"Pass the pageToken to get the next page of active ad-hoc experiments","schema":{"type":"string"},"example":"None (returns first page)"},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedResponseExperimentsResponse"}}}},"403":{"description":"User requires privilege for target team: EXPERIMENTS_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_READ"]}]}},"/attacks/{guid}/annotations":{"put":{"tags":["attacks"],"summary":"Add annotations to an attack","description":"Requires the privilege [`MINIMUM_TEAM_PRIVILEGES`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"addAnnotations","parameters":[{"name":"guid","in":"path","description":"This value represents the globally unique identifier of the record to fetch.","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttackAnnotationsInputRequest"}}},"required":true},"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskResponse"}}}},"403":{"description":"User requires privilege for target team: MINIMUM_TEAM_PRIVILEGES"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["MINIMUM_TEAM_PRIVILEGES"]}]}},"/attacks":{"get":{"tags":["attacks"],"summary":"List all attacks.","description":"Requires the privilege [`EXPERIMENTS_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"all","parameters":[{"name":"source","in":"query","description":"Filter attacks to either adhoc or scenario.","schema":{"type":"string","enum":["Adhoc","Scenario"]},"example":"Adhoc"},{"name":"pageSize","in":"query","description":"This value determines how many results will be returned per call.","schema":{"type":"integer","format":"int32"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TaskResponse"}}}}},"403":{"description":"User requires privilege for target team: EXPERIMENTS_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_READ"]}]},"post":{"tags":["attacks"],"summary":"Create a new attack.","description":"Create a new attack by specifying the attack configuration, targets and sampling configuration\nRequires the privilege [`EXPERIMENTS_RUN`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"createNewAttack","parameters":[{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAttackRequest"}}},"required":true},"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AttackForServiceResponse"}}},"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AttackForServiceResponse"}}}}},"403":{"description":"User requires privilege for target team: EXPERIMENTS_RUN"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_RUN"]}]},"delete":{"tags":["attacks"],"summary":"Idempotently halt all active attacks","operationId":"halt","parameters":[],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TaskResponse"}}}}},"403":{"description":"User requires privilege: HALT_ALL"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}}}},"/attacks/range":{"get":{"tags":["attacks"],"summary":"List all attacks in a given time range (defaults to all attacks up to now)","description":"Requires the privilege [`EXPERIMENTS_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"allAttacksInRange","parameters":[{"name":"startTime","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"endTime","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"pageSize","in":"query","description":"This value determines how many results will be returned per call.","schema":{"type":"integer","format":"int32"}},{"name":"pageToken","in":"query","schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedResponseTaskResponse"}}}},"403":{"description":"User requires privilege for target team: EXPERIMENTS_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_READ"]}]}},"/attacks/completed":{"get":{"tags":["attacks"],"summary":"List all completed attacks.","description":"This endpoint will return all completed attacks that the team has performed.\nRequires the privilege [`EXPERIMENTS_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"completed","parameters":[{"name":"source","in":"query","description":"Filter attacks to either adhoc or scenario.","schema":{"type":"string","enum":["Adhoc","Scenario"]},"example":"Adhoc"},{"name":"pageSize","in":"query","description":"This value determines how many results will be returned per call.","schema":{"type":"integer","format":"int32"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TaskResponse"}}}}},"403":{"description":"User requires privilege for target team: EXPERIMENTS_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_READ"]}]}},"/attacks/completed/paged":{"get":{"tags":["attacks"],"summary":"Return a page of completed ad-hoc experiments.","description":"This endpoint will return a paged response of completed ad-hoc experiments for a team.\nRequires the privilege [`EXPERIMENTS_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"completedPaged","parameters":[{"name":"pageSize","in":"query","description":"This value determines how many results will be returned per call.","schema":{"type":"integer","format":"int32","default":1000},"example":"None (defaults to 1000)"},{"name":"pageToken","in":"query","description":"Pass the pageToken to get the next page of completed ad-hoc experiments","schema":{"type":"string"},"example":"None (returns first page)"},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedResponseExperimentsResponse"}}}},"403":{"description":"User requires privilege for target team: EXPERIMENTS_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_READ"]}]}},"/attacks/new":{"post":{"tags":["attacks"],"summary":"Legacy Create Attack.","description":"Note that this endpoint is considered deprecated but is maintained for existing consumers.  Please consider using the new `POST /attacks` endpoint instead.\n\nFor a list of attack parameters, please visit: https://www.gremlin.com/docs/infrastructure-layer/attacks/#parameter-reference.\nPlease note that if the `labels` or `tags` fields are not provided, no filtering will be employed and an attack will target all active clients within your team.\nFor more information on creating a new attack using the API, please visit: https://www.gremlin.com/docs/api-reference/examples/\nRequires the privilege [`EXPERIMENTS_RUN`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"create","parameters":[{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAttackInput"}}},"required":true},"responses":{"default":{"description":"default response","content":{"text/plain":{"schema":{"type":"string"}}}},"403":{"description":"User requires privilege for target team: EXPERIMENTS_RUN"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"deprecated":true,"security":[{"privilege":["EXPERIMENTS_RUN"]}]}},"/attacks/{guid}":{"get":{"tags":["attacks"],"summary":"Get details about an attack.","description":"This endpoint will allow you to get info on a specific attack based on its guid.\nRequires the privilege [`EXPERIMENTS_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"get","parameters":[{"name":"guid","in":"path","description":"This value represents the globally unique identifier of the record to fetch.","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskResponse"}}}},"403":{"description":"User requires privilege for target team: EXPERIMENTS_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_READ"]}]},"delete":{"tags":["attacks"],"summary":"Idempotently halt the specified active attack.","description":"Requires the privilege [`HALT_WRITE`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"halt_1","parameters":[{"name":"guid","in":"path","description":"This value represents the globally unique identifier of the record to fetch.","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TaskResponse"}}}}},"403":{"description":"User requires privilege for target team: HALT_WRITE"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["HALT_WRITE"]}]}},"/attacks/halt":{"post":{"tags":["attacks"],"summary":"Idempotently halt all active attacks.  This is a POST version of the DELETE operation.","operationId":"haltAsPost","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HaltRequest"}}}},"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TaskResponse"}}}}},"403":{"description":"User requires privilege: HALT_ALL"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}}}},"/attacks/{guid}/halt":{"post":{"tags":["attacks"],"summary":"Idempotently halt the specified active attack.","description":"Requires the privilege [`HALT_WRITE`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"haltAsPost_1","parameters":[{"name":"guid","in":"path","description":"This value represents the globally unique identifier of the record to fetch.","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HaltRequest"}}}},"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TaskResponse"}}}}},"403":{"description":"User requires privilege for target team: HALT_WRITE"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["HALT_WRITE"]}]}},"/executions":{"get":{"tags":["executions"],"summary":"Get a list of executions associated with an attack.","description":"Requires the privilege [`EXPERIMENTS_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"forAttack","parameters":[{"name":"taskId","in":"query","schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ExecutionResponse"}}}}},"403":{"description":"User requires privilege for target team: EXPERIMENTS_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_READ"]}]}},"/halts":{"post":{"tags":["halts"],"summary":"Idempotently halt all active impacts across the Gremlin platform","operationId":"haltAll","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HaltRequest"}}}},"responses":{"default":{"description":"default response","content":{"*/*":{}}},"403":{"description":"User requires privilege: HALT_ALL"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}}}},"/kubernetes/attacks/{guid}":{"get":{"tags":["kubernetes.attacks"],"summary":"Get an attack by it's guid","description":"Requires the privilege [`EXPERIMENTS_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"attack","parameters":[{"name":"guid","in":"path","description":"This value represents the globally unique identifier of the record to fetch.","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{}}},"403":{"description":"User requires privilege for target team: EXPERIMENTS_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_READ"]}]}},"/kubernetes/attacks":{"get":{"tags":["kubernetes.attacks"],"summary":"List all attacks.","description":"Requires the privilege [`EXPERIMENTS_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"attacks","parameters":[{"name":"source","in":"query","description":"Filter Kubernetes attacks to either Adhoc or Scenario.","schema":{"type":"string","enum":["Adhoc","Scenario"]},"example":"Adhoc"},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{}}},"403":{"description":"User requires privilege for target team: EXPERIMENTS_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_READ"]}]}},"/kubernetes/attacks/new":{"post":{"tags":["kubernetes.attacks"],"summary":"Legacy endpoint for creating K8s attacks. Please consider `POST /attacks` endpoint instead","description":"Requires the privilege [`EXPERIMENTS_WRITE`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"createAttack","parameters":[{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Attack"}}}},"responses":{"HttpStatus.SC_CREATED":{"description":"Attack created, attackId returned"},"403":{"description":"User requires privilege for target team: EXPERIMENTS_WRITE"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"deprecated":true,"security":[{"privilege":["EXPERIMENTS_WRITE"]}]}},"/kubernetes/attacks/{uid}/halt":{"post":{"tags":["kubernetes.attacks"],"summary":"Halt an active attack","description":"Requires the privilege [`HALT_WRITE`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"halt_2","parameters":[{"name":"uid","in":"path","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HaltRequest"}}}},"responses":{"HttpStatus.SC_ACCEPTED":{"description":"Halt successfully triggered"},"403":{"description":"User requires privilege for target team: HALT_WRITE"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["HALT_WRITE"]}]}},"/kubernetes/attacks/halt":{"post":{"tags":["kubernetes.attacks"],"summary":"Halt all active attacks","operationId":"haltAll_1","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HaltRequest"}}}},"responses":{"202":{"description":"Halt successfully triggered"},"403":{"description":"User requires privilege: HALT_ALL"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}}}},"/metadata":{"get":{"tags":["metadata"],"summary":"Get metadata about the Gremlin commands.","description":"Requires the privilege [`MINIMUM_TEAM_PRIVILEGES`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"metadata","parameters":[{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InfraAttackMetadata"}}}}},"403":{"description":"User requires privilege for target team: MINIMUM_TEAM_PRIVILEGES"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["MINIMUM_TEAM_PRIVILEGES"]}]}},"/users/auth/mfa/auth":{"post":{"tags":["users.auth.mfa"],"summary":"Authenticate a user with MFA.","operationId":"auth","parameters":[{"name":"getCompanySession","in":"query","schema":{"type":"boolean"}}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"required":["email","password"],"type":"object","properties":{"email":{"type":"string"},"password":{"type":"string"},"token":{"maximum":999999,"type":"integer","format":"int32"},"companyName":{"type":"string"}}}}}},"responses":{"default":{"description":"default response","content":{"application/json":{}}},"403":{"description":"Response was sent via HTTP, please retry using HTTPS"}}}},"/users/auth/mfa/disable":{"post":{"tags":["users.auth.mfa"],"summary":"Removes the MFA provider and secret, disabling MFA login.","operationId":"disable","parameters":[],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"required":["email","password"],"type":"object","properties":{"email":{"type":"string"},"password":{"type":"string"},"token":{"maximum":999999,"type":"integer","format":"int32"}}}}}},"responses":{"default":{"description":"default response","content":{"text/plain":{}}},"403":{"description":"Response was sent via HTTP, please retry using HTTPS"}}}},"/users/auth/mfa/enable":{"post":{"tags":["users.auth.mfa"],"summary":"Generate a secret key and enables it for the user.","operationId":"enable","parameters":[],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"required":["email","password"],"type":"object","properties":{"email":{"type":"string"},"password":{"type":"string"}}}}}},"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MfaEnableResponse"}}}},"403":{"description":"Response was sent via HTTP, please retry using HTTPS"}}}},"/users/auth/mfa/forceDisable":{"post":{"tags":["users.auth.mfa"],"summary":"Removes the MFA provider and secret, disabling MFA login.","description":"COMPANY_OWNER and COMPANY_ADMIN users only\nRequires the privilege [`COMPANY_USERS_WRITE`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"forceDisable","parameters":[],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"required":["email"],"type":"object","properties":{"email":{"type":"string"}}}}}},"responses":{"default":{"description":"default response","content":{"text/plain":{}}},"403":{"description":"User requires privilege: COMPANY_USERS_WRITE"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["COMPANY_USERS_WRITE"]}]}},"/users/auth/mfa/info":{"get":{"tags":["users.auth.mfa"],"summary":"Returns the enabled/disabled status and provider if set, of MFA for the user.","description":"Requires the privilege [`MINIMUM_COMPANY_PRIVILEGES`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"getInfo","parameters":[],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MfaInfoResponse"}}}},"403":{"description":"User requires privilege: MINIMUM_COMPANY_PRIVILEGES"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["MINIMUM_COMPANY_PRIVILEGES"]}]}},"/users/auth/mfa/{email}/enabled":{"get":{"tags":["users.auth.mfa"],"summary":"Returns the enabled/disabled status of MFA for a user.","description":"Company Owners and Admins users only\nRequires the privilege [`SECURITY_REPORTS_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"isEnabled","parameters":[{"name":"email","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"type":"boolean"}}}},"403":{"description":"User requires privilege: SECURITY_REPORTS_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["SECURITY_REPORTS_READ"]}]}},"/users/auth/mfa/validate":{"post":{"tags":["users.auth.mfa"],"summary":"Validate a MFA token for a user","operationId":"validate","parameters":[],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"required":["email"],"type":"object","properties":{"email":{"type":"string"},"token":{"maximum":999999,"type":"integer","format":"int32"}}}}}},"responses":{"default":{"description":"default response","content":{"text/plain":{}}},"403":{"description":"Response was sent via HTTP, please retry using HTTPS"}}}},"/integrations/{type}":{"get":{"tags":["Notification Integrations"],"summary":"Get the integration for your company that is identified by the supplied type","description":"Requires the privilege [`COMPANY_INTEGRATIONS_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"get_2","parameters":[{"name":"type","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationIntegrationResponse"}}}},"403":{"description":"User requires privilege: COMPANY_INTEGRATIONS_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["COMPANY_INTEGRATIONS_READ"]}]},"put":{"tags":["Notification Integrations"],"summary":"Puts the integration identified by the supplied type on your company","description":"Requires the privilege [`COMPANY_INTEGRATIONS_WRITE`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"put","parameters":[{"name":"type","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateIntegrationRequest"}}}},"responses":{"default":{"description":"default response","content":{"text/plain":{}}},"403":{"description":"User requires privilege: COMPANY_INTEGRATIONS_WRITE"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["COMPANY_INTEGRATIONS_WRITE"]}]},"delete":{"tags":["Notification Integrations"],"summary":"Idempotently deletes the integration associated with your company, identified by the supplied type","description":"Requires the privilege [`COMPANY_INTEGRATIONS_WRITE`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"delete","parameters":[{"name":"type","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"text/plain":{}}},"403":{"description":"User requires privilege: COMPANY_INTEGRATIONS_WRITE"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["COMPANY_INTEGRATIONS_WRITE"]}]}},"/integrations":{"get":{"tags":["Notification Integrations"],"summary":"List all integrations associated with your company","description":"Requires the privilege [`COMPANY_INTEGRATIONS_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"list","parameters":[],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NotificationIntegrationResponse"}}}}},"403":{"description":"User requires privilege: COMPANY_INTEGRATIONS_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["COMPANY_INTEGRATIONS_READ"]}]}},"/oauth/callback":{"get":{"tags":["oauth"],"summary":"Handle receiving a code from an OAuth flow.","operationId":"oAuthCallback","parameters":[{"name":"code","in":"query","description":"The code from authenticating with the oauth provider","required":true,"schema":{"type":"string"}},{"name":"state","in":"query","description":"The state value set when initiating the OAuth login","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{},"text/plain":{}}},"403":{"description":"Response was sent via HTTP, please retry using HTTPS"}}}},"/oauth/login":{"get":{"tags":["oauth"],"summary":"Initiates a OAuth login.","operationId":"oAuthLogin","parameters":[{"name":"companyName","in":"query","description":"The name of the company to authenticate too","required":true,"schema":{"type":"string"}},{"name":"redirectUri","in":"query","description":"Where to redirect the user to after authenticating, for use when authenticating via OAuth in the Gremlin UI","schema":{"type":"string","format":"uri"}}],"responses":{"default":{"description":"default response","content":{"text/plain":{}}},"403":{"description":"Response was sent via HTTP, please retry using HTTPS"}}}},"/roles":{"get":{"tags":["roles"],"summary":"Returns all roles and privileges","description":"This operation will return all possible roles at both the team and company levels, along with their associated privileges.","operationId":"getRolesAndPrivileges","parameters":[],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RolesResponse"}}}},"403":{"description":"Response was sent via HTTP, please retry using HTTPS"}}},"post":{"tags":["roles"],"summary":"Create a new custom role","description":"This operation will create a new custom role.\nRequires the privilege [`ROLES_WRITE`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"createCustomRole","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCustomRoleRequest"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RoleResponse"}}}},"400":{"description":"Bad arguments","content":{"application/json":{"schema":{"type":"string"}}}},"403":{"description":"User requires privilege: ROLES_WRITE"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["ROLES_WRITE"]}]}},"/roles/{roleId}":{"get":{"tags":["roles"],"summary":"Get a custom role","description":"This operation will return a custom role.","operationId":"getRole","parameters":[{"name":"roleId","in":"path","description":"identifier of the role","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RoleResponse"}}}},"400":{"description":"Bad arguments","content":{"application/json":{"schema":{"type":"string"}}}},"403":{"description":"Response was sent via HTTP, please retry using HTTPS"}}},"delete":{"tags":["roles"],"summary":"Delete a custom role","description":"This operation will delete a custom role.\nRequires the privilege [`ROLES_WRITE`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"deleteCustomRole","parameters":[{"name":"roleId","in":"path","description":"identifier of the role","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad arguments","content":{"application/json":{"schema":{"type":"string"}}}},"403":{"description":"User requires privilege: ROLES_WRITE"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["ROLES_WRITE"]}]},"patch":{"tags":["roles"],"summary":"Update a custom role","description":"This operation will update a custom role.\nRequires the privilege [`ROLES_WRITE`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"updateCustomRole","parameters":[{"name":"roleId","in":"path","description":"identifier of the role","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCustomRoleRequest"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RoleResponse"}}}},"400":{"description":"Bad arguments","content":{"application/json":{"schema":{"type":"string"}}}},"403":{"description":"User requires privilege: ROLES_WRITE"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["ROLES_WRITE"]}]}},"/users/auth":{"post":{"tags":["users.auth"],"summary":"Authenticate a user.","operationId":"auth_1","parameters":[{"name":"getCompanySession","in":"query","schema":{"type":"boolean"}}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"required":["email","password"],"type":"object","properties":{"email":{"type":"string"},"password":{"type":"string"},"companyName":{"type":"string"}}}}}},"responses":{"default":{"description":"default response","content":{"application/json":{}}},"403":{"description":"Response was sent via HTTP, please retry using HTTPS"}}},"delete":{"tags":["users.auth"],"summary":"Invalidates a user's current session, if it exists.","description":"Requires the privilege [`MINIMUM_COMPANY_PRIVILEGES`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"invalidate","parameters":[],"responses":{"default":{"description":"default response","content":{"text/plain":{}}},"403":{"description":"User requires privilege: MINIMUM_COMPANY_PRIVILEGES"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["MINIMUM_COMPANY_PRIVILEGES"]}]}},"/users/auth/emailCompanies":{"get":{"tags":["users.auth"],"summary":"Email active company affiliations.","operationId":"companyAffiliationsEmail","parameters":[{"name":"email","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"text/plain":{}}},"403":{"description":"Response was sent via HTTP, please retry using HTTPS"}}}},"/users/auth/password/reset":{"post":{"tags":["users.auth"],"summary":"Reset a user's password via email.","operationId":"passwordReset","parameters":[],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"required":["email"],"type":"object","properties":{"email":{"type":"string"}}}}}},"responses":{"default":{"description":"default response","content":{"text/plain":{}}},"403":{"description":"Response was sent via HTTP, please retry using HTTPS"}}}},"/users/auth/password":{"put":{"tags":["users.auth"],"summary":"Update an authenticated user's password directly.","description":"Requires the privilege [`MINIMUM_COMPANY_PRIVILEGES`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"passwordReset_1","parameters":[],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"required":["currentPassword","newPassword"],"type":"object","properties":{"currentPassword":{"type":"string"},"newPassword":{"type":"string"}}}}}},"responses":{"default":{"description":"default response","content":{"text/plain":{}}},"403":{"description":"User requires privilege: MINIMUM_COMPANY_PRIVILEGES"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["MINIMUM_COMPANY_PRIVILEGES"]}]},"post":{"tags":["users.auth"],"summary":"Update a user's password.","operationId":"passwordUpdate","parameters":[],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"required":["code","email","password"],"type":"object","properties":{"email":{"type":"string"},"password":{"type":"string"},"code":{"type":"string"}}}}}},"responses":{"default":{"description":"default response","content":{"text/plain":{}}},"403":{"description":"Response was sent via HTTP, please retry using HTTPS"}}}},"/users/auth/saml/failures":{"get":{"tags":["users.auth"],"summary":"View SAML auth failures for the current company and optional user.","description":"Requires the privilege [`COMPANY_SECURITY_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"samlFailures","parameters":[{"name":"email","in":"query","schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{}}},"403":{"description":"User requires privilege: COMPANY_SECURITY_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["COMPANY_SECURITY_READ"]}]}},"/users/auth/saml/metadata":{"get":{"tags":["users.auth"],"summary":"Gets SAML Service Provider metadata.","operationId":"samlMetadata","parameters":[{"name":"companyName","in":"query","schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/xml":{}}},"403":{"description":"Response was sent via HTTP, please retry using HTTPS"}}}},"/aws/metadata/autoscaling-groups":{"get":{"tags":["aws.metadata"],"summary":"Queries Gremlin's view of Autoscaling Groups in a given AWS account","description":"This endpoint returns Gremlin's view of Autoscaling Groups in a given AWS account.  The `domain` parameter refers to the AWS AccountId.  \nNOTE: This endpoint may (or may not) return Autoscaling Groups which have already been assigned to Gremlin Services, or ones which we cannot assign to Gremlin Services\nRequires the privilege [`MINIMUM_TEAM_PRIVILEGES`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"getAutoscalingGroupsForAccount","parameters":[{"name":"domain","in":"query","required":true,"schema":{"type":"string"}},{"name":"mode","in":"query","schema":{"type":"string","enum":["Onboarding"]}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AwsAutoscalingGroupsForAccount"}}}},"403":{"description":"User requires privilege for target team: MINIMUM_TEAM_PRIVILEGES"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["MINIMUM_TEAM_PRIVILEGES"]}]}},"/aws/metadata/iam-role":{"get":{"tags":["aws.metadata"],"summary":"Returns the policy document necessary for Gremlin to access AWS resources.","description":"This endpoint provides the policy document and associated trust policies so that Gremlin can access an arbitrary AWS account. This endpoint also provides a link to a CloudFormationTemplate for applying this to your AWS account. \nSee: https://www.gremlin.com/docs/aws-quick-start-guide for more info\n\nRequires the privilege [`MINIMUM_TEAM_PRIVILEGES`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"getAwsMetadataIamRole","parameters":[{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AwsMetadataIamRoleResponse"}}}},"403":{"description":"User requires privilege for target team: MINIMUM_TEAM_PRIVILEGES"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["MINIMUM_TEAM_PRIVILEGES"]}]}},"/aws/metadata/load-balancers":{"get":{"tags":["aws.metadata"],"summary":"Queries Gremlin's view of Load balancers in a given AWS account","description":"This endpoint returns Gremlin's view of Load Balancers in a given AWS account.  These can then be used to create Gremlin Services or Intelligent Health checks.  \nThe `domain` parameter refers to the AWS AccountId.  \nNOTE: This endpoint may (or may not) return Load Balancers which have already been assigned to Gremlin Services, or ones which we cannot assign to Gremlin Services (eg. LBs with no hosts behind them)\nRequires the privilege [`MINIMUM_TEAM_PRIVILEGES`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"getLoadBalancersForAccount","parameters":[{"name":"domain","in":"query","required":true,"schema":{"type":"string"}},{"name":"mode","in":"query","schema":{"type":"string","enum":["Onboarding"]}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AwsLoadBalancersForAccount"}}}},"403":{"description":"User requires privilege for target team: MINIMUM_TEAM_PRIVILEGES"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["MINIMUM_TEAM_PRIVILEGES"]}]}},"/datadog/monitors/{monitorId}":{"get":{"tags":["datadog"],"summary":"Get a monitor by id.","description":"Requires the privilege [`MINIMUM_TEAM_PRIVILEGES`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"getMonitor","parameters":[{"name":"monitorId","in":"path","required":true,"schema":{"type":"string"}},{"name":"datadogIntegrationName","in":"query","required":true,"schema":{"type":"string"}},{"name":"domain","in":"query","schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns monitor if exists"},"400":{"description":"Bad request"},"403":{"description":"User requires privilege for target team: MINIMUM_TEAM_PRIVILEGES"},"429":{"description":"Datadog rate limit exceeded"},"404":{"description":"Datadog resource not found"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["MINIMUM_TEAM_PRIVILEGES"]}]}},"/datadog/monitors":{"get":{"tags":["datadog"],"summary":"Search for monitors.","description":"Requires the privilege [`MINIMUM_TEAM_PRIVILEGES`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"searchMonitors","parameters":[{"name":"searchString","in":"query","schema":{"type":"string"}},{"name":"page","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"perPage","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"sort","in":"query","schema":{"type":"string"}},{"name":"datadogIntegrationName","in":"query","required":true,"schema":{"type":"string"}},{"name":"domain","in":"query","schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns monitors"},"400":{"description":"Bad request"},"403":{"description":"User requires privilege for target team: MINIMUM_TEAM_PRIVILEGES"},"429":{"description":"Datadog rate limit exceeded"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["MINIMUM_TEAM_PRIVILEGES"]}]}},"/grafana/alerts":{"get":{"tags":["grafana"],"summary":"Get all alerts","description":"Requires the privilege [`MINIMUM_TEAM_PRIVILEGES`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"alerts","parameters":[{"name":"name","in":"query","schema":{"type":"string"}},{"name":"grafanaUri","in":"query","required":true,"schema":{"type":"string","format":"uri"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns all alerts"},"404":{"description":"Not found"},"403":{"description":"User requires privilege for target team: MINIMUM_TEAM_PRIVILEGES"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["MINIMUM_TEAM_PRIVILEGES"]}]}},"/grafana/dashboards":{"get":{"tags":["grafana"],"summary":"Get all dashboards","description":"Requires the privilege [`MINIMUM_TEAM_PRIVILEGES`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"dashboards","parameters":[{"name":"name","in":"query","schema":{"type":"string"}},{"name":"grafanaUri","in":"query","required":true,"schema":{"type":"string","format":"uri"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns all dashboards"},"404":{"description":"Not found"},"403":{"description":"User requires privilege for target team: MINIMUM_TEAM_PRIVILEGES"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["MINIMUM_TEAM_PRIVILEGES"]}]}},"/grafana/rules":{"get":{"tags":["grafana"],"summary":"Get all rules","description":"Requires the privilege [`MINIMUM_TEAM_PRIVILEGES`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"rules","parameters":[{"name":"name","in":"query","schema":{"type":"string"}},{"name":"grafanaUri","in":"query","required":true,"schema":{"type":"string","format":"uri"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns all rules"},"404":{"description":"Not found"},"403":{"description":"User requires privilege for target team: MINIMUM_TEAM_PRIVILEGES"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["MINIMUM_TEAM_PRIVILEGES"]}]}},"/grafana/monitors":{"get":{"tags":["grafana"],"summary":"Searches for Grafana alert monitors","description":"Requires the privilege [`MINIMUM_TEAM_PRIVILEGES`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"searchMonitors_1","parameters":[{"name":"searchString","in":"query","schema":{"type":"string"}},{"name":"grafanaIntegrationName","in":"query","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns matching monitors"},"400":{"description":"Bad request"},"403":{"description":"User requires privilege for target team: MINIMUM_TEAM_PRIVILEGES"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["MINIMUM_TEAM_PRIVILEGES"]}]}},"/jira/issues":{"get":{"tags":["jira"],"summary":"Returns issues for entity ids with details.","description":"Requires the privilege [`INTEGRATIONS_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"issuesForGremlinEntityIds","parameters":[{"name":"gremlinEntityIds","in":"query","description":"A list of Gremlin entity ids","required":true,"schema":{"type":"array","items":{"type":"string"}}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns issues created for entity ids"},"400":{"description":"Bad request"},"404":{"description":"No Jira integration exists"},"403":{"description":"User requires privilege for target team: INTEGRATIONS_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["INTEGRATIONS_READ"]}]},"post":{"tags":["jira"],"summary":"Creates new issue.","description":"Requires the privilege [`INTEGRATIONS_WRITE`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"issue","parameters":[{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateJiraIssueRequest"}}},"required":true},"responses":{"200":{"description":"Issue successfully created"},"400":{"description":"Bad request"},"404":{"description":"No Jira integration exists"},"403":{"description":"User requires privilege for target team: INTEGRATIONS_WRITE"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["INTEGRATIONS_WRITE"]}]}},"/jira/issues/count":{"get":{"tags":["jira"],"summary":"Returns total issues for entity ids with details.","description":"Requires the privilege [`MINIMUM_TEAM_PRIVILEGES`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"issueCount","parameters":[{"name":"gremlinEntityIds","in":"query","required":true,"schema":{"type":"array","items":{"type":"string"}}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns total issues created for entity ids"},"400":{"description":"Bad request"},"403":{"description":"User requires privilege for target team: MINIMUM_TEAM_PRIVILEGES"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["MINIMUM_TEAM_PRIVILEGES"]}]}},"/jira/issue-meta":{"get":{"tags":["jira"],"summary":"Returns the fields and data available and required for creating issues.","description":"Requires the privilege [`MINIMUM_TEAM_PRIVILEGES`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"issueMeta","parameters":[{"name":"projectId","in":"query","required":true,"schema":{"type":"string"}},{"name":"issueTypeId","in":"query","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns the fields and data by project id or key and issue type id or key"},"404":{"description":"Not found"},"403":{"description":"User requires privilege for target team: MINIMUM_TEAM_PRIVILEGES"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["MINIMUM_TEAM_PRIVILEGES"]}]}},"/jira/issues/services":{"get":{"tags":["jira"],"summary":"Returns issues for an entity id with details.","description":"Requires the privilege [`INTEGRATIONS_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"issuesForGremlinEntityIdOfType","parameters":[{"name":"gremlinEntityId","in":"query","description":"A Gremlin entity id","required":true,"schema":{"type":"string"}},{"name":"type","in":"query","required":true,"schema":{"type":"string","enum":["SCENARIO_RUN","GAME_DAY","SERVICE","ATTACK","SCENARIO"]}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns issues created for an entity id"},"400":{"description":"Bad request"},"404":{"description":"No Jira integration exists"},"403":{"description":"User requires privilege for target team: INTEGRATIONS_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["INTEGRATIONS_READ"]}]}},"/jira/labels":{"get":{"tags":["jira"],"summary":"Returns all labels of Jira instance.","description":"Requires the privilege [`MINIMUM_TEAM_PRIVILEGES`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"labels","parameters":[{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns all jira labels"},"403":{"description":"User requires privilege for target team: MINIMUM_TEAM_PRIVILEGES"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["MINIMUM_TEAM_PRIVILEGES"]}]}},"/jira/priorities":{"get":{"tags":["jira"],"summary":"Returns the list of issue priorities.","description":"Requires the privilege [`MINIMUM_TEAM_PRIVILEGES`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"priorities","parameters":[{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JiraPriority"}}}}},"403":{"description":"User requires privilege for target team: MINIMUM_TEAM_PRIVILEGES"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["MINIMUM_TEAM_PRIVILEGES"]}]}},"/jira/projects/{projectIdOrKey}":{"get":{"tags":["jira"],"summary":"Returns project with given id or key.","description":"Requires the privilege [`MINIMUM_TEAM_PRIVILEGES`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"projectById","parameters":[{"name":"projectIdOrKey","in":"path","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns projects by id or key"},"404":{"description":"Not found"},"403":{"description":"User requires privilege for target team: MINIMUM_TEAM_PRIVILEGES"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["MINIMUM_TEAM_PRIVILEGES"]}]}},"/jira/projects":{"get":{"tags":["jira"],"summary":"Search for projects.","description":"Requires the privilege [`MINIMUM_TEAM_PRIVILEGES`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"projectSearch","parameters":[{"name":"query","in":"query","schema":{"type":"string"}},{"name":"startAt","in":"query","schema":{"type":"integer","format":"int64"}},{"name":"maxResults","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns projects"},"404":{"description":"Not found"},"403":{"description":"User requires privilege for target team: MINIMUM_TEAM_PRIVILEGES"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["MINIMUM_TEAM_PRIVILEGES"]}]}},"/jira/projects/{projectIdOrKey}/users":{"get":{"tags":["jira"],"summary":"Returns users assignable to given project.","description":"Requires the privilege [`MINIMUM_TEAM_PRIVILEGES`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"projectUsers","parameters":[{"name":"projectIdOrKey","in":"path","required":true,"schema":{"type":"string"}},{"name":"startAt","in":"query","schema":{"type":"integer","format":"int64"}},{"name":"maxResults","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns users assignable to given project"},"404":{"description":"Not found"},"403":{"description":"User requires privilege for target team: MINIMUM_TEAM_PRIVILEGES"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["MINIMUM_TEAM_PRIVILEGES"]}]}},"/newrelic/incidents/{incidentId}":{"get":{"tags":["newrelic"],"summary":"Get an incident by id.","description":"Requires the privilege [`INTEGRATIONS_WRITE`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"incident","parameters":[{"name":"name","in":"query","schema":{"type":"string"}},{"name":"incidentId","in":"path","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns an incident"},"404":{"description":"Not found"},"403":{"description":"User requires privilege for target team: INTEGRATIONS_WRITE"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["INTEGRATIONS_WRITE"]}]}},"/pagerduty/incidents":{"get":{"tags":["pagerduty"],"summary":"Get incidents from a service","description":"Requires the privilege [`MINIMUM_TEAM_PRIVILEGES`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"incidentsForService","parameters":[{"name":"name","in":"query","schema":{"type":"string"}},{"name":"serviceId","in":"query","schema":{"type":"string"}},{"name":"incidentId","in":"query","schema":{"type":"string"}},{"name":"statuses","in":"query","schema":{"type":"array","items":{"type":"string","enum":["TRIGGERED","ACKNOWLEDGED","RESOLVED"]}}},{"name":"limit","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"offset","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns all incidents from a service"},"404":{"description":"Not found"},"403":{"description":"User requires privilege for target team: MINIMUM_TEAM_PRIVILEGES"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["MINIMUM_TEAM_PRIVILEGES"]}]}},"/pagerduty/services":{"get":{"tags":["pagerduty"],"summary":"Get all services","description":"Requires the privilege [`MINIMUM_TEAM_PRIVILEGES`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"services","parameters":[{"name":"name","in":"query","schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"offset","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns all services"},"404":{"description":"Not found"},"403":{"description":"User requires privilege for target team: MINIMUM_TEAM_PRIVILEGES"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["MINIMUM_TEAM_PRIVILEGES"]}]}},"/external-integrations":{"get":{"tags":["external-integrations"],"summary":"Get external integrations by type.","description":"Requires the privilege [`INTEGRATIONS_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"get_4","parameters":[{"name":"type","in":"query","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExternalIntegrationResponse"}}}},"403":{"description":"User requires privilege for target team: INTEGRATIONS_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["INTEGRATIONS_READ"]}]},"delete":{"tags":["external-integrations"],"summary":"Delete an external integration.","description":"Requires the privilege [`INTEGRATIONS_WRITE`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"revoke","parameters":[{"name":"type","in":"query","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{}}},"403":{"description":"User requires privilege for target team: INTEGRATIONS_WRITE"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["INTEGRATIONS_WRITE"]}]}},"/external-integrations/load-generator":{"get":{"tags":["external-integrations"],"summary":"Get team integrations that are compatible with Load Generators.","description":"Requires the privilege [`INTEGRATIONS_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"getLoadGeneratorIntegrations","parameters":[{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TeamExternalIntegrationsResponse"}}}},"403":{"description":"User requires privilege for target team: INTEGRATIONS_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["INTEGRATIONS_READ"]}]},"put":{"tags":["external-integrations"],"summary":"Update a team integration that is compatible with Load Generators.","description":"Requires the privilege [`INTEGRATIONS_WRITE`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"updateLoadGeneratorIntegration","parameters":[{"name":"type","in":"query","required":true,"schema":{"type":"string","enum":["JIRA","DATADOG","DATADOG_EU","DATADOG_US3","DATADOG_US5","DATADOG_US1_FED","PAGERDUTY","NEWRELIC","GRAFANA","DYNATRACE","APPDYNAMICS","PROMETHEUS","CUSTOM","K6","LOAD_GENERATOR_CUSTOM","AWS","AZURE","GCP"]}},{"name":"name","in":"query","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTeamExternalIntegrationRequest"}}},"required":true},"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TeamExternalIntegrationResponse"}}}},"403":{"description":"User requires privilege for target team: INTEGRATIONS_WRITE"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["INTEGRATIONS_WRITE"]}]},"post":{"tags":["external-integrations"],"summary":"Create new team integration that is compatible with Load Generators.","description":"Requires the privilege [`INTEGRATIONS_WRITE`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"createLoadGeneratorIntegration","parameters":[{"name":"type","in":"query","required":true,"schema":{"type":"string","enum":["JIRA","DATADOG","DATADOG_EU","DATADOG_US3","DATADOG_US5","DATADOG_US1_FED","PAGERDUTY","NEWRELIC","GRAFANA","DYNATRACE","APPDYNAMICS","PROMETHEUS","CUSTOM","K6","LOAD_GENERATOR_CUSTOM","AWS","AZURE","GCP"]}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTeamExternalIntegrationRequest"}}},"required":true},"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TeamExternalIntegrationResponse"}}}},"403":{"description":"User requires privilege for target team: INTEGRATIONS_WRITE"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["INTEGRATIONS_WRITE"]}]},"delete":{"tags":["external-integrations"],"summary":"Remove a team integration that is compatible with Load Generators.","description":"Requires the privilege [`INTEGRATIONS_WRITE`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"removeLoadGeneratorIntegration","parameters":[{"name":"type","in":"query","required":true,"schema":{"type":"string","enum":["JIRA","DATADOG","DATADOG_EU","DATADOG_US3","DATADOG_US5","DATADOG_US1_FED","PAGERDUTY","NEWRELIC","GRAFANA","DYNATRACE","APPDYNAMICS","PROMETHEUS","CUSTOM","K6","LOAD_GENERATOR_CUSTOM","AWS","AZURE","GCP"]}},{"name":"name","in":"query","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{}}},"403":{"description":"User requires privilege for target team: INTEGRATIONS_WRITE"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["INTEGRATIONS_WRITE"]}]}},"/external-integrations/status-check":{"get":{"tags":["external-integrations"],"summary":"Get team integrations that are compatible with Health Checks.","description":"Requires the privilege [`INTEGRATIONS_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"getStatusCheckIntegrations","parameters":[{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TeamExternalIntegrationsResponse"}}}},"403":{"description":"User requires privilege for target team: INTEGRATIONS_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["INTEGRATIONS_READ"]}]},"put":{"tags":["external-integrations"],"summary":"Update a team integration that is compatible with Health Checks.","description":"Requires the privilege [`INTEGRATIONS_WRITE`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"updateStatusCheckIntegration","parameters":[{"name":"type","in":"query","schema":{"type":"string","enum":["JIRA","DATADOG","DATADOG_EU","DATADOG_US3","DATADOG_US5","DATADOG_US1_FED","PAGERDUTY","NEWRELIC","GRAFANA","DYNATRACE","APPDYNAMICS","PROMETHEUS","CUSTOM","K6","LOAD_GENERATOR_CUSTOM","AWS","AZURE","GCP"]}},{"name":"observabilityToolType","in":"query","schema":{"type":"string","enum":["DATADOG","PAGERDUTY","NEWRELIC","GRAFANA","DYNATRACE","APPDYNAMICS","PROMETHEUS","CUSTOM","AWS","AZURE"]}},{"name":"domain","in":"query","schema":{"maxLength":255,"minLength":0,"type":"string"}},{"name":"name","in":"query","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTeamExternalIntegrationRequest"}}},"required":true},"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TeamExternalIntegrationResponse"}}}},"403":{"description":"User requires privilege for target team: INTEGRATIONS_WRITE"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["INTEGRATIONS_WRITE"]}]},"post":{"tags":["external-integrations"],"summary":"Create new team integration that is compatible with Health Checks.","description":"Requires the privilege [`INTEGRATIONS_WRITE`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"createStatusCheckIntegration","parameters":[{"name":"type","in":"query","schema":{"type":"string","enum":["JIRA","DATADOG","DATADOG_EU","DATADOG_US3","DATADOG_US5","DATADOG_US1_FED","PAGERDUTY","NEWRELIC","GRAFANA","DYNATRACE","APPDYNAMICS","PROMETHEUS","CUSTOM","K6","LOAD_GENERATOR_CUSTOM","AWS","AZURE","GCP"]}},{"name":"observabilityToolType","in":"query","schema":{"type":"string","enum":["DATADOG","PAGERDUTY","NEWRELIC","GRAFANA","DYNATRACE","APPDYNAMICS","PROMETHEUS","CUSTOM","AWS","AZURE"]}},{"name":"domain","in":"query","schema":{"maxLength":255,"minLength":0,"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTeamExternalIntegrationRequest"}}},"required":true},"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TeamExternalIntegrationResponse"}}}},"403":{"description":"User requires privilege for target team: INTEGRATIONS_WRITE"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["INTEGRATIONS_WRITE"]}]},"delete":{"tags":["external-integrations"],"summary":"Remove a team integration that is compatible with Health Checks.","description":"Requires the privilege [`INTEGRATIONS_WRITE`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"removeStatusCheckIntegration","parameters":[{"name":"type","in":"query","schema":{"type":"string","enum":["JIRA","DATADOG","DATADOG_EU","DATADOG_US3","DATADOG_US5","DATADOG_US1_FED","PAGERDUTY","NEWRELIC","GRAFANA","DYNATRACE","APPDYNAMICS","PROMETHEUS","CUSTOM","K6","LOAD_GENERATOR_CUSTOM","AWS","AZURE","GCP"]}},{"name":"observabilityToolType","in":"query","schema":{"type":"string","enum":["DATADOG","PAGERDUTY","NEWRELIC","GRAFANA","DYNATRACE","APPDYNAMICS","PROMETHEUS","CUSTOM","AWS","AZURE"]}},{"name":"domain","in":"query","schema":{"maxLength":255,"minLength":0,"type":"string"}},{"name":"name","in":"query","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{}}},"403":{"description":"User requires privilege for target team: INTEGRATIONS_WRITE"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["INTEGRATIONS_WRITE"]}]}},"/failure-flags/apps/{name}":{"get":{"tags":["failure-flags.apps"],"summary":"Get Application by name.","description":"Requires the privilege [`EXPERIMENTS_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"getApplicationForNameAndTeam","parameters":[{"name":"name","in":"path","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Get an Application by name and team","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Application"}}}},"404":{"description":"Not found"},"403":{"description":"User requires privilege for target team: EXPERIMENTS_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_READ"]}]}},"/failure-flags/apps":{"get":{"tags":["failure-flags.apps"],"summary":"List Applications by team.","description":"Requires the privilege [`EXPERIMENTS_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"getApplicationsForTeam","parameters":[{"name":"onlyWithMetricsEnabled","in":"query","schema":{"type":"boolean"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"List Applications by team","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Application"}}}}},"404":{"description":"Not found"},"403":{"description":"User requires privilege for target team: EXPERIMENTS_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_READ"]}]}},"/failure-flags/apps/{name}/protect":{"post":{"tags":["failure-flags.apps"],"summary":"Protect Application by name.","description":"Requires the privilege [`EXPERIMENTS_WRITE`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"protectApplication","parameters":[{"name":"name","in":"path","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Protect an Application by name and team"},"404":{"description":"Not found"},"403":{"description":"User requires privilege for target team: EXPERIMENTS_WRITE"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_WRITE"]}]}},"/failure-flags/apps/{name}/unprotect":{"post":{"tags":["failure-flags.apps"],"summary":"Unprotect Application by name.","description":"Requires the privilege [`EXPERIMENTS_WRITE`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"unprotectApplication","parameters":[{"name":"name","in":"path","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Protect an Application by name and team"},"404":{"description":"Not found"},"403":{"description":"User requires privilege for target team: EXPERIMENTS_WRITE"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_WRITE"]}]}},"/failure-flags/experiments/{id}/runs":{"get":{"tags":["failure-flags.experiments"],"summary":"List all runs of an Experiment by team and ID.","description":"Requires the privilege [`EXPERIMENTS_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"allRunsForExperiment","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"List all runs of an Experiment by team and ID","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ExperimentRunSummary"}}}}},"404":{"description":"Not found"},"403":{"description":"User requires privilege for target team: EXPERIMENTS_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_READ"]}]}},"/failure-flags/experiments":{"get":{"tags":["failure-flags.experiments"],"summary":"Get all Experiments for a team.","description":"Requires the privilege [`EXPERIMENTS_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"getExperimentsForTeam","parameters":[{"name":"includeScenarios","in":"query","schema":{"type":"boolean"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Get all Experiments for a team","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Experiment"}}}}},"404":{"description":"Not found"},"403":{"description":"User requires privilege for target team: EXPERIMENTS_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_READ"]}]},"post":{"tags":["failure-flags.experiments"],"summary":"Create an Experiment.","description":"Requires the privilege [`EXPERIMENTS_WRITE`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"createExperiment","parameters":[{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Experiment"}}}},"responses":{"201":{"description":"Create an Experiment","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Experiment"}}}},"404":{"description":"Not found"},"403":{"description":"User requires privilege for target team: EXPERIMENTS_WRITE"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_WRITE"]}]}},"/failure-flags/experiments/{id}":{"get":{"tags":["failure-flags.experiments"],"summary":"Get Experiment by ID.","description":"Requires the privilege [`EXPERIMENTS_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"getExperimentForTeamAndId","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Get an Experiment by team and ID","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Experiment"}}}},"404":{"description":"Not found"},"403":{"description":"User requires privilege for target team: EXPERIMENTS_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_READ"]}]},"delete":{"tags":["failure-flags.experiments"],"summary":"Delete an Experiment by team and ID.","description":"Requires the privilege [`EXPERIMENTS_WRITE`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"deleteExperiment","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Delete an Experiment by team and ID"},"404":{"description":"Not found"},"409":{"description":"Cannot delete an Experiment while it is running"},"403":{"description":"User requires privilege for target team: EXPERIMENTS_WRITE"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_WRITE"]}]}},"/failure-flags/experiments/active":{"get":{"tags":["failure-flags.experiments"],"summary":"Get all active Experiments for a team.","description":"Requires the privilege [`EXPERIMENTS_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"getActiveExperimentsForTeam","parameters":[{"name":"pageSize","in":"query","description":"This value determines how many results will be returned per call.","schema":{"type":"integer","format":"int32"},"example":20},{"name":"pageToken","in":"query","description":"Token corresponding to the last page of team summaries retrieved. Pass the pageToken to get the next page of team summaries","schema":{"type":"string"},"example":"None (returns first page)"},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Get all active Experiments for a team","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExperimentPagedResponse"}}}},"404":{"description":"Not found"},"403":{"description":"User requires privilege for target team: EXPERIMENTS_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_READ"]}]}},"/failure-flags/experiments/completed/paged":{"get":{"tags":["failure-flags.experiments"],"summary":"Get all completed Experiments for a team.","description":"Requires the privilege [`EXPERIMENTS_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"getCompletedExperimentsForTeam","parameters":[{"name":"pageSize","in":"query","description":"This value determines how many results will be returned per call.","schema":{"type":"integer","format":"int32","default":1000},"example":20},{"name":"pageToken","in":"query","description":"Token corresponding to the last page of team summaries retrieved. Pass the pageToken to get the next page of team summaries","schema":{"type":"string"},"example":"None (returns first page)"},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Get all completed Experiments for a team","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompletedExperimentPagedResponse"}}}},"404":{"description":"Not found"},"403":{"description":"User requires privilege for target team: EXPERIMENTS_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_READ"]}]}},"/failure-flags/experiments/{id}/run/{startTime}":{"get":{"tags":["failure-flags.experiments"],"summary":"Get details for a single Experiment run by ID and run start time.","description":"Requires the privilege [`EXPERIMENTS_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"getExperimentRunDetailsForIdAndStartTime","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"startTime","in":"path","description":"Epoch MS timestamp of the start of the experiment","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Get an Experiment by team and ID","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Experiment"}}}},"404":{"description":"Not found"},"403":{"description":"User requires privilege for target team: EXPERIMENTS_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_READ"]}]}},"/failure-flags/experiments/{id}/halt":{"post":{"tags":["failure-flags.experiments"],"summary":"Halt an Experiment by team and ID.","description":"Requires the privilege [`HALT_WRITE`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"haltExperiment","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Halt an Experiment by team and ID"},"404":{"description":"Not found"},"403":{"description":"User requires privilege for target team: HALT_WRITE"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["HALT_WRITE"]}]}},"/failure-flags/experiments/{id}/protect":{"post":{"tags":["failure-flags.experiments"],"summary":"Protect an Experiment by team and ID.","description":"Requires the privilege [`EXPERIMENTS_WRITE`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"protectExperiment","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Protect an Experiment by team and ID"},"404":{"description":"Not found"},"409":{"description":"Cannot protect an Experiment while it is running"},"403":{"description":"User requires privilege for target team: EXPERIMENTS_WRITE"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_WRITE"]}]}},"/failure-flags/experiments/{id}/run":{"post":{"tags":["failure-flags.experiments"],"summary":"Run an Experiment by team and ID.","description":"Requires the privilege [`EXPERIMENTS_RUN`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"runExperiment","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Run an Experiment by team and ID","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Experiment"}}}},"404":{"description":"Not found"},"409":{"description":"Cannot run a protected Experiment"},"403":{"description":"User requires privilege for target team: EXPERIMENTS_RUN"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_RUN"]}]}},"/failure-flags/experiments/{id}/unprotect":{"post":{"tags":["failure-flags.experiments"],"summary":"Unprotect an Experiment by team and ID.","description":"Requires the privilege [`EXPERIMENTS_WRITE`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"unprotectExperiment","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Unprotect an Experiment by team and ID"},"404":{"description":"Not found"},"403":{"description":"User requires privilege for target team: EXPERIMENTS_WRITE"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_WRITE"]}]}},"/failure-flags/flags/{name}":{"get":{"tags":["failure-flags.flags"],"summary":"Get Failure Flag by name.","description":"Requires the privilege [`EXPERIMENTS_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"getFailureFlagForTeamAndName","parameters":[{"name":"name","in":"path","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Get a Failure Flag by name and team","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailureFlag"}}}},"404":{"description":"Not found"},"403":{"description":"User requires privilege for target team: EXPERIMENTS_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_READ"]}]}},"/failure-flags/flags":{"get":{"tags":["failure-flags.flags"],"summary":"List Failure Flags by team.","description":"Requires the privilege [`EXPERIMENTS_READ`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"getFailureFlagsForTeam","parameters":[{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"List Failure Flags details by team","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FailureFlag"}}}}},"404":{"description":"Not found"},"403":{"description":"User requires privilege for target team: EXPERIMENTS_READ"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_READ"]}]}},"/failure-flags/flags/{name}/protect":{"post":{"tags":["failure-flags.flags"],"summary":"Protect Failure Flag by name and team.","description":"Requires the privilege [`EXPERIMENTS_WRITE`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"protectFailureFlag","parameters":[{"name":"name","in":"path","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Protect a Failure Flag by name and team"},"404":{"description":"Not found"},"403":{"description":"User requires privilege for target team: EXPERIMENTS_WRITE"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_WRITE"]}]}},"/failure-flags/flags/{name}/unprotect":{"post":{"tags":["failure-flags.flags"],"summary":"Unprotect Failure Flag by name and team.","description":"Requires the privilege [`EXPERIMENTS_WRITE`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"unprotectFailureFlag","parameters":[{"name":"name","in":"path","required":true,"schema":{"type":"string"}},{"name":"teamId","in":"query","description":"Required when using company session token.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Unprotect a Failure Flag by name and team"},"404":{"description":"Not found"},"403":{"description":"User requires privilege for target team: EXPERIMENTS_WRITE"},"401":{"description":"Authorization header missing or malformed. Please provide proper credentials in the authorization header."}},"security":[{"privilege":["EXPERIMENTS_WRITE"]}]}},"/gamedays":{"get":{"tags":["gamedays"],"summary":"Get all GameDays by team.","description":"Requires the privilege [`MINIMUM_TEAM_PRIVILEGES`](https://www.gremlin.com/docs/user-management/access-control/#privileges)","operationId":"getGameDaysForTeam","parameters":[{"name":"pageSize","in":"query","description":"This value determines how many results will be returned per call.","schema":{"type":"integer","format":"int32"},"example":"None (unlimited)"},{"name":"pageNumber","in":"query","description":"Get the specific page of GameDays. Only pageNumber or pageToken accepted along with pageSize","schema":{"type":"integer","format":"int32"},"example":1},{"name":"pageToken","in":"query","description
[...]
